Remove /bin/running-in-container

Bug #1539016 reported by Martin Pitt on 2016-01-28
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apparmor (Ubuntu)
Low
Unassigned
apport (Ubuntu)
Low
Unassigned
cloud-init (Ubuntu)
Low
Unassigned
flash-kernel (Ubuntu)
Low
Unassigned
grub2 (Debian)
Fix Released
Unknown
grub2 (Ubuntu)
Low
Unassigned
init-system-helpers (Ubuntu)
Low
Martin Pitt
lxc-android-config (Ubuntu)
Low
Unassigned
memtest86+ (Ubuntu)
Low
Unassigned
qemu (Ubuntu)
Low
Unassigned

Bug Description

We still have an ubuntu delta in init-system-helper that adds /bin/running-in-container. This is just a (currently over-complicated) wrapper around "systemd-detect-virt --container". That works under any init system and is what upstreams and some packages already use, so let's cut out that delta.

I'm currently running an archive grep to find remaining users.

Related branches

Martin Pitt (pitti) on 2016-01-28
Changed in init-system-helpers (Ubuntu):
status: New → In Progress
importance: Undecided → Low
assignee: nobody → Martin Pitt (pitti)
Martin Pitt (pitti) wrote :

Added tasks for all packages in main and restricted. universe and multiverse are still running.

Martin Pitt (pitti) on 2016-01-28
Changed in qemu (Ubuntu):
status: New → Fix Committed
Martin Pitt (pitti) on 2016-01-28
Changed in apparmor (Ubuntu):
status: New → Fix Committed
Martin Pitt (pitti) on 2016-01-28
Changed in apport (Ubuntu):
status: New → Fix Committed
Changed in memtest86+ (Ubuntu):
status: New → Fix Committed
Changed in apparmor (Ubuntu):
importance: Undecided → Low
Changed in apport (Ubuntu):
importance: Undecided → Low
Changed in flash-kernel (Ubuntu):
importance: Undecided → Low
Changed in grub2 (Ubuntu):
importance: Undecided → Low
Changed in qemu (Ubuntu):
importance: Undecided → Low
Changed in memtest86+ (Ubuntu):
importance: Undecided → Low
Changed in cloud-init (Ubuntu):
importance: Undecided → Low
Martin Pitt (pitti) on 2016-01-28
Changed in cloud-init (Ubuntu):
status: New → Fix Committed
Changed in flash-kernel (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package memtest86+ - 5.01-3ubuntu2

---------------
memtest86+ (5.01-3ubuntu2) xenial; urgency=medium

  * debian/postinst: Call systemd-detect-virt instead of the
    Ubuntu specific running-in-container wrapper. (LP: #1539016)

 -- Martin Pitt <email address hidden> Thu, 28 Jan 2016 13:40:41 +0100

Changed in memtest86+ (Ubuntu):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2016-01-28
Changed in grub2 (Ubuntu):
status: New → Fix Committed
no longer affects: gnupg2 (Debian)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 0.7.7~bzr1156-0ubuntu2

---------------
cloud-init (0.7.7~bzr1156-0ubuntu2) xenial; urgency=medium

  * debian/cloud-init.postinst, systemd_detect_virt.patch: Call
    systemd-detect-virt instead of the Ubuntu specific running-in-container
    wrapper. (LP: #1539016)

 -- Martin Pitt <email address hidden> Thu, 28 Jan 2016 14:12:51 +0100

Changed in cloud-init (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package flash-kernel - 3.0~rc.4ubuntu58

---------------
flash-kernel (3.0~rc.4ubuntu58) xenial; urgency=medium

  * Call systemd-detect-virt instead of the Ubuntu specific
    running-in-container wrapper. (LP: #1539016)

 -- Martin Pitt <email address hidden> Thu, 28 Jan 2016 14:22:57 +0100

Changed in flash-kernel (Ubuntu):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :
Changed in lxc-android-config (Ubuntu):
status: New → Fix Committed
status: Fix Committed → In Progress
Changed in grub2 (Debian):
status: Unknown → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apparmor - 2.10-0ubuntu12

---------------
apparmor (2.10-0ubuntu12) xenial; urgency=medium

  * Call systemd-detect-virt instead of the Ubuntu specific
    running-in-container wrapper. (LP: #1539016)

 -- Martin Pitt <email address hidden> Thu, 28 Jan 2016 13:33:28 +0100

Changed in apparmor (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qemu - 1:2.5+dfsg-1ubuntu4

---------------
qemu (1:2.5+dfsg-1ubuntu4) xenial; urgency=medium

  * debian/qemu-kvm-init: Call systemd-detect-virt instead of the
    Ubuntu specific running-in-container wrapper. (LP: #1539016)

 -- Martin Pitt <email address hidden> Thu, 28 Jan 2016 13:24:51 +0100

Changed in qemu (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 2.19.4-0ubuntu2

---------------
apport (2.19.4-0ubuntu2) xenial; urgency=medium

  * debian/apport.upstart: Call systemd-detect-virt instead of the
    Ubuntu specific running-in-container wrapper. (LP: #1539016)

 -- Martin Pitt <email address hidden> Thu, 28 Jan 2016 14:58:06 +0100

Changed in apport (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub2 - 2.02~beta2-35ubuntu1

---------------
grub2 (2.02~beta2-35ubuntu1) xenial; urgency=medium

  * debian/postinst.in, debian/kernel/zz-update-grub: Call systemd-detect-virt
    instead of the Ubuntu specific running-in-container wrapper. (LP: #1539016)

 -- Martin Pitt <email address hidden> Thu, 28 Jan 2016 14:25:14 +0100

Changed in grub2 (Ubuntu):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

I don't think we ever support running lxc-android-config *in* a container, so this doesn't block the removal and merging the new init-system-helpers.

Changed in lxc-android-config (Ubuntu):
importance: Undecided → Low
Martin Pitt (pitti) on 2016-02-05
Changed in init-system-helpers (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package init-system-helpers - 1.28ubuntu1

---------------
init-system-helpers (1.28ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - init: Drop sysvinit-core as alternative pre-depends, and add
      upstart-sysv instead.
    - scripts/invoke-rc.d: clean eatmydata from environment unless
      INVOKE_RCD_ALLOW_EATMYDATA is set to value other than '0'. This does not
      affect systemd, thus this can be dropped after 16.04 LTS. (LP: #1257036)
    - invoke-rc.d: Fix actions to run under systemd if there is no init.d
      script but only an upstart job. Packages got fixed in 16.04 but this
      still affects upgrades. This can be dropped after 16.04 LTS.
   * Drop running-in-container. Remaining users have been moved to
     systemd-detect-virt. (LP: #1539016)
   * Drop invoke-rc.d's calling of 'initctl reload-configuration' to work
     reliably on systems with broken inotify. We don't have live systems under
     upstart any more, and on Ubuntu touch this does not apply.

init-system-helpers (1.28) unstable; urgency=medium

  [ Martin Pitt ]
  * invoke-rc.d: Fix actions to run under systemd if there is no init.d
    script. (Closes: #747851)
  * invoke-rc.d: Don't start systemd units which are disabled. Restart them
    only if they were already running (i. e. started manually by the admin).
    (Closes: #768450)
  * update-rc.d: Support /usr/lib/insserv/insserv location too, as with
    newer sysvinit versions.
  * Add autopkgtest which runs the tests in t/.
  * Drop Michael Stapelberg and Tollef Fog Heen from Uploaders:, they stopped
    systemd work long ago. Thanks for your great work in the past!
  * Run wrap-and-sort -at over our debian control files.

  [ Andreas Henriksson ]
  * Add support for -X option. (Closes: #760168)

  [ Michael Biebl ]
  * invoke-rc.d: Allow stop and status requests for masked systemd services.
    (Closes: #717109)

init-system-helpers (1.27) unstable; urgency=high

  Urgency high to not further delay the sysvinit migration to testing, and to
  avoid this going into testing with breaking file-rc.

  [ Martin Pitt ]
  * Add debian/clean to remove script/*1.p. (Closes: #812586)
  * Version the conflict to file-rc, 0.8.17 now works fine with the moved
    update-rc.d and invoke-rc.d.

 -- Martin Pitt <email address hidden> Fri, 05 Feb 2016 12:52:51 +0100

Changed in init-system-helpers (Ubuntu):
status: Fix Committed → Fix Released
Changed in grub2 (Debian):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.